summaryrefslogtreecommitdiffstatshomepage
diff options
context:
space:
mode:
authorToby Vincent <tobyv13@gmail.com>2021-03-20 16:06:35 -0500
committerToby Vincent <tobyv13@gmail.com>2021-03-20 16:06:35 -0500
commit85f51bd5a51c75df6754c48dd7f9fdb67d780ce8 (patch)
treeee67e559bc64e187397be5a6b31a49a200569573
chore: initial commit
-rw-r--r--.gitmodules3
m---------dotbot0
-rwxr-xr-xinstall15
-rw-r--r--install.conf.yaml6
4 files changed, 24 insertions, 0 deletions
diff --git a/.gitmodules b/.gitmodules
new file mode 100644
index 0000000..1ce5c11
--- /dev/null
+++ b/.gitmodules
@@ -0,0 +1,3 @@
+[submodule "dotbot"]
+ path = dotbot
+ url = https://github.com/anishathalye/dotbot
diff --git a/dotbot b/dotbot
new file mode 160000
+Subproject 472223300fcbe308853b6f57ff03eec21f61180
diff --git a/install b/install
new file mode 100755
index 0000000..5a7e72c
--- /dev/null
+++ b/install
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+set -e
+
+CONFIG="install.conf.yaml"
+DOTBOT_DIR="dotbot"
+
+DOTBOT_BIN="bin/dotbot"
+BASEDIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+
+cd "${BASEDIR}"
+git -C "${DOTBOT_DIR}" submodule sync --quiet --recursive
+git submodule update --init --recursive "${DOTBOT_DIR}"
+
+"${BASEDIR}/${DOTBOT_DIR}/${DOTBOT_BIN}" -d "${BASEDIR}" -c "${CONFIG}" "${@}"
diff --git a/install.conf.yaml b/install.conf.yaml
new file mode 100644
index 0000000..bdf79d6
--- /dev/null
+++ b/install.conf.yaml
@@ -0,0 +1,6 @@
+- defaults:
+ link:
+ create: true
+ relink: true
+
+- clean: ["~"] \ No newline at end of file